This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 8740 - pop-up windows should grab focus
pop-up windows should grab focus
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: enlightenment (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-22 06:08 EST by Tim Waugh
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-21 14:03:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2000-01-22 06:08:28 EST
For new users, having pop-up windows grab focus is a _lot_ easier than
having to click on them first (they don't realise that they need to, and
don't understand why 'the keyboard has frozen' when they start typing),
which is the current situation.  I reported this in 6.2beta1 too.

_Please_ can we change the default?
Comment 1 Tim Waugh 2000-02-01 18:01:59 EST
The actual wording on the option I mean is: 'All new windows that appear get the
keyboard focus'.
Comment 2 Havoc Pennington 2000-02-03 17:35:59 EST
Changed it, a new Enlightenment is building.
Comment 3 Tim Waugh 2000-02-21 04:59:59 EST
I don't see any difference.  I just tried piglet-0220, and starting a
gnome-terminal (for instance) results in a new window without focus.
enlightenment-conf shows that the 'All new windows grab keyboard focus' box is
unchecked.
Comment 4 Cristian Gafton 2000-02-21 14:03:59 EST
*now* it's really fixed in the devel tree

Note You need to log in before you can comment on or make changes to this bug.